<?xml version="1.0" encoding="UTF-8"?>

<!--Création de la vue formulaire pour tous les éléments du menu grâce à des enregistrement dans la table ir.ui.view-->
<odoo>
    <!--Création de la vue formulaire des articles du catalogue-->
    <record id='espace_client_catalogue_view_form' model='ir.ui.view'>
        <!--Utile seulement comme mnémonique / description de la vue lorsque vous en cherchez une dans une liste quelconque-->
        <field name="name">espace.client.catalogue.form</field>
        <!--Le modèle lié à la vue, le cas échéant (ce n'est pas le cas pour les vues QWeb)-->
        <field name="model">espace.client.catalogue</field>
        <!--La description de la disposition de la vue-->
        <field name="arch" type="xml">
            <form string="Article">
                <sheet>
                    <div class="oe_title">
                        <!--affiche uniquement le champ dans le mode de formulaire correspondant-->
                        <label for="name" class="oe_edit_only"/>
                        <h1>
                            <field name="name"/>
                        </h1>
                    </div>
                    <group col="2" string="Information Générale">
                        <group >
                            <field name="type"/>
                            <label for="prix"/>
                            <div class="o_row" name="prix">
                                <field name="prix"/><span>€</span>
                            </div>
                            <field name="description"/>
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <!--Création de la vue formulaire de l'historique des factures-->
    <record id='espace_client_commande_view_form' model='ir.ui.view'>
        <!--Utile seulement comme mnémonique / description de la vue lorsque vous en cherchez une dans une liste quelconque-->
        <field name="name">espace.client.commande.form</field>
        <!--Le modèle lié à la vue, le cas échéant (ce n'est pas le cas pour les vues QWeb)-->
        <field name="model">espace.client.commande</field>
        <!--La description de la disposition de la vue-->
        <field name="arch" type="xml">
            <form string="Historique">
                <sheet>
                    <div class="oe_title">
                        <!--affiche uniquement le champ dans le mode de formulaire correspondant-->
                        <label for="espace_client_catalogue_id" class="oe_edit_only"/>
                        <h1>
                            <field name="espace_client_catalogue_id"/>
                        </h1>
                        <!--affiche uniquement le champ dans le mode de formulaire correspondant-->
                        <label for="date" class="oe_edit_only"/>
                        <h2>
                            <field name="date" class="oe_inline"/>
                        </h2>
                    </div>
                    <group col="2" string="Informations">
                        <group >
                            <field name="partner_id"/>
                            <field name="company_id"/>
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <!--Les données entre les balises <form> "servent à rien" car il y a deux <field name="name">res.partner.form</field> dans le model='ir.ui.view' donc Odoo va plutôt choisir l'autre enregistrement pour l'interface-->
    <!--Création de la vue formulaire des informations personnelles-->
    <record id='espace_client_res_partner_view_form' model='ir.ui.view'>
        <!--Utile seulement comme mnémonique / description de la vue lorsque vous en cherchez une dans une liste quelconque-->
        <field name="name">res.partner.form</field>
        <!--Le modèle lié à la vue, le cas échéant (ce n'est pas le cas pour les vues QWeb)-->
        <field name="model">res.partner</field>
        <!--La description de la disposition de la vue-->
        <field name="arch" type="xml">
            <form string="Personnelles">
                <sheet>
                    <div class="oe_title">
                        <!--affiche uniquement le champ dans le mode de formulaire correspondant-->
                        <label for="name" class="oe_edit_only"/>
                        <h1>
                            <field name="name"/>
                        </h1>
                    </div>
                    <group col="2" string="Informations Personnelles">
                        <group >
                            <field name="street"/>
                            <field name="zip"/>
                            <field name="city"/>
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <!--Les données entre les balises <form> "servent à rien" car il y a deux <field name="name">res.company.form</field> dans le model='ir.ui.view' donc Odoo va plutôt choisir l'autre enregistrement pour l'interface-->
    <!--Création de la vue formulaire des informations de l'entreprise-->
    <record id='espace_client_res_company_view_form' model='ir.ui.view'>
        <!--Utile seulement comme mnémonique / description de la vue lorsque vous en cherchez une dans une liste quelconque-->
        <field name="name">res.company.form</field>
        <!--Le modèle lié à la vue, le cas échéant (ce n'est pas le cas pour les vues QWeb)-->
        <field name="model">res.company</field>
        <!--La description de la disposition de la vue-->
        <field name="arch" type="xml">
            <form string="Entreprise">
                <sheet>
                    <div class="oe_title">
                        <!--affiche uniquement le champ dans le mode de formulaire correspondant-->
                        <label for="name" class="oe_edit_only"/>
                        <h1>
                            <field name="name"/>
                        </h1>
                    </div>
                    <group col="2" string="Informations Entreprise">
                        <group >
                            <field name="email"/>
                            <field name="phone"/>
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>
</odoo>
